apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "solarmax-to-mqtt.fullname" . }}
  labels:
    {{- include "solarmax-to-mqtt.labels" . | nindent 4 }}
spec:
  {{- if not .Values.autoscaling.enabled }}
  replicas: {{ .Values.replicaCount }}
  {{- end }}
  selector:
    matchLabels:
      {{- include "solarmax-to-mqtt.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      {{- with .Values.podAnnotations }}
      annotations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      labels:
        {{- include "solarmax-to-mqtt.selectorLabels" . | nindent 8 }}
    spec:
      {{- with .Values.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      serviceAccountName: {{ include "solarmax-to-mqtt.serviceAccountName" . }}
      securityContext:
        {{- toYaml .Values.podSecurityContext | nindent 8 }}
      containers:
        - name: {{ .Chart.Name }}
          securityContext:
            {{- toYaml .Values.securityContext | nindent 12 }}
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag | default .Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          env:
            - name: DEVICES
              value: {{.Values.config.devices}}
            - name: mqtt_broker_ip
              value: {{.Values.config.mqtt_broker_ip}}
            - name: mqtt_broker_port
              value: {{.Values.config.mqtt_broker_port | quote}}
            - name: mqtt_username
              value: {{.Values.config.mqtt_username}}
            - name: mqtt_topic
              value: {{.Values.config.mqtt_topic}}
            - name: mqtt_password
              valueFrom:
                secretKeyRef:
                  key: password
                  name: {{ include "solarmax-to-mqtt.fullname" . }}-mqtt-password
{{/*          ports:*/}}
{{/*            - name: http*/}}
{{/*              containerPort: 80*/}}
{{/*              protocol: TCP*/}}
{{/*          livenessProbe:*/}}
{{/*            httpGet:*/}}
{{/*              path: /*/}}
{{/*              port: http*/}}
{{/*          readinessProbe:*/}}
{{/*            httpGet:*/}}
{{/*              path: /*/}}
{{/*              port: http*/}}
          resources:
            {{- toYaml .Values.resources | nindent 12 }}
      {{- with .Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
